Get RunSchema by ID
Get a single RunSchema by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
run_schema_id
ID of the RunSchema.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
allowCreateRunFromNotebook
Whether new runs belonging to this schema can be created from the notebook
allowInsertRunFromInbox
Whether runs belonging to this schema can be inserted in the notebook from the Run Inbox
archiveReason
If the Run is archived, reason for archiving
archived
Whether the Run is archived
automationInputFileConfigs
Configurations for automation input generators on this run
automationOutputFileConfigs
Configurations for automation output processors on this run
createdAt
fieldDefinitions
Defines the metadata fields for runs belonging to this schema
id
modifiedAt
DateTime the Run Schema was last modified
name
Name of the Run Schema
organization
Organization the Run Schema belongs to
shouldRecordEquipment
Whether runs belonging to this schema should record equipment or not
systemName
Name for this schema in the Data Platform.
For example, the name of the warehouse table is derived from the systemName.
Errors
400
Run Schema Get Request Bad Request Error
403
Run Schema Get Request Forbidden Error
404
Run Schema Get Request Not Found Error
429
Run Schema Get Request Too Many Requests Error
500
Run Schema Get Request Internal Server Error